#
# spec file for package python-XStatic-D3
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname XStatic-D3
Name:           python-XStatic-D3
Version:        3.5.17.0
Release:        11.1
Summary:        D3 %{version} (XStatic packaging standard)
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://git.openstack.org/cgit/openstack/{sname}/
Source0:        https://files.pythonhosted.org/packages/source/X/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-setuptools
Requires:       python-XStatic
BuildArch:      noarch

%description
D3 javascript library packaged for setuptools (easy_install) / pip.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
%{py2_build}

%install
%{py2_install}

%files
%doc README.txt
%{python2_sitelib}/xstatic
%{python2_sitelib}/XStatic_D3-%{version}-py?.?.egg-info
%{python2_sitelib}/XStatic_D3-%{version}-py?.?-nspkg.pth

%changelog
